# Google Play Game Services API . achievementDefinitions

## Instance Methods

Lists all the achievement definitions for your application.

Retrieves the next page of results.

### Method Details

`list(pageToken=None, language=None, maxResults=None, consistencyToken=None)`

    Lists all the achievement definitions for your application.

    Args:
      pageToken: string, The token returned by the previous request.
      language: string, The preferred language to use for strings returned by this method.
      maxResults: integer, The maximum number of achievement resources to return in the response, used for paging. For any response, the actual number of achievement resources returned may be less than the specified maxResults.
      consistencyToken: string, The last-seen mutation timestamp.

    Returns:
      An object of the form:

        { # This is a JSON template for a list of achievement definition objects.
        "nextPageToken": "A String", # Token corresponding to the next page of results.
        "items": [ # The achievement definitions.
          { # This is a JSON template for an achievement definition object.
            "totalSteps": 42, # The total steps for an incremental achievement.
            "achievementType": "A String", # The type of the achievement.
                # Possible values are:
                # - "STANDARD" - Achievement is either locked or unlocked.
                # - "INCREMENTAL" - Achievement is incremental.
            "description": "A String", # The description of the achievement.
            "revealedIconUrl": "A String", # The image URL for the revealed achievement icon.
            "formattedTotalSteps": "A String", # The total steps for an incremental achievement as a string.
            "kind": "games#achievementDefinition", # Uniquely identifies the type of this resource. Value is always the fixed string games#achievementDefinition.
            "initialState": "A String", # The initial state of the achievement.
                # Possible values are:
                # - "HIDDEN" - Achievement is hidden.
                # - "REVEALED" - Achievement is revealed.
                # - "UNLOCKED" - Achievement is unlocked.
            "experiencePoints": "A String", # Experience points which will be earned when unlocking this achievement.
            "isRevealedIconUrlDefault": True or False, # Indicates whether the revealed icon image being returned is a default image, or is provided by the game.
            "unlockedIconUrl": "A String", # The image URL for the unlocked achievement icon.
            "id": "A String", # The ID of the achievement.
            "isUnlockedIconUrlDefault": True or False, # Indicates whether the unlocked icon image being returned is a default image, or is game-provided.
            "name": "A String", # The name of the achievement.
          },
        ],
        "kind": "games#achievementDefinitionsListResponse", # Uniquely identifies the type of this resource. Value is always the fixed string games#achievementDefinitionsListResponse.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.